ElectroNeek Documentation

Cette page n’est pas encore traduite en français : elle est affichée en anglais.

Get Launch Info

This returns detailed information on a particular Workflow launch. If the launch ended with an error, an additional key error_details is returned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/launch/{id}

Valeurs possibles de {region} : na, cis, apac, latam, emea

Essayer

Envoyé depuis votre navigateur directement à l’API — rien ne transite par ce site, et le token API reste uniquement dans cet onglet.
Paramètres de chemin
Renseignez id pour envoyer cette requête.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/launch/{id}'

Authentification

Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.

Paramètres de chemin

NomTypeObligatoireDescription
idstringouiLaunch ID

Réponse

200Success
Corps de la réponse
object
iduuidobligatoire
typestring (manual, webhook, schedule, zapier, api)obligatoire
statusstring (in-progress, completed-successfully, completed-with-error)obligatoire
started_atdate-timeobligatoire
output_dataobject

This returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.

completed_atdate-timeobligatoire
logs_enabledbooleanobligatoire
console_logs_enabledbooleanobligatoire

Whether console logs were collected for this launch.

account_emailstringobligatoire
runner_idstring
workflow_idstring
error_detailsobject
object
filestring
messagestring
activitystring
timestampinteger
Mis à jour